Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.awt
Class WindowAction

    java.lang.Object
      de.jsystems.framework.common.action.AbstractAction
          de.jsystems.framework.common.action.awt.WindowAction

All Implemented Interfaces:
  EventListener, WindowListener

Direct Known Subclasses:
  CloseDialogAction, CloseFrameAction

public class WindowAction
extends AbstractAction
implements WindowListener

Actionimplementierung fuer WindowEvents.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Constructor Summary
`WindowAction()`

Method Summary
`void` | `doWindowActivated(WindowEvent we)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doWindowClosed(WindowEvent we)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doWindowClosing(WindowEvent we)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doWindowDeactivated(WindowEvent we)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doWindowDeiconified(WindowEvent we)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doWindowIconified(WindowEvent we)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doWindowOpened(WindowEvent we)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `windowActivated(WindowEvent we)`
`void` | `windowClosed(WindowEvent we)`
`void` | `windowClosing(WindowEvent we)`
`void` | `windowDeactivated(WindowEvent we)`
`void` | `windowDeiconified(WindowEvent we)`
`void` | `windowIconified(WindowEvent we)`
`void` | `windowOpened(WindowEvent we)`

Methods inherited from class de.jsystems.framework.common.action.AbstractAction
`addControl, disable, enable, exceptionInAction, getController, getControls, getException, getView, hasException, initialize, isEnabled, removeAll, removeControl, setException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowAction

    public WindowAction()

Method Detail

### windowOpened

    public void windowOpened(WindowEvent we)

  Specified by:
    `windowOpened` in interface `WindowListener`

### doWindowOpened

    public void doWindowOpened(WindowEvent we)
                        throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `we` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### windowClosing

    public void windowClosing(WindowEvent we)

  Specified by:
    `windowClosing` in interface `WindowListener`

### doWindowClosing

    public void doWindowClosing(WindowEvent we)
                         throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `we` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### windowClosed

    public void windowClosed(WindowEvent we)

  Specified by:
    `windowClosed` in interface `WindowListener`

### doWindowClosed

    public void doWindowClosed(WindowEvent we)
                        throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `we` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### windowIconified

    public void windowIconified(WindowEvent we)

  Specified by:
    `windowIconified` in interface `WindowListener`

### doWindowIconified

    public void doWindowIconified(WindowEvent we)
                           throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `we` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### windowDeiconified

    public void windowDeiconified(WindowEvent we)

  Specified by:
    `windowDeiconified` in interface `WindowListener`

### doWindowDeiconified

    public void doWindowDeiconified(WindowEvent we)
                             throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `we` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### windowActivated

    public void windowActivated(WindowEvent we)

  Specified by:
    `windowActivated` in interface `WindowListener`

### doWindowActivated

    public void doWindowActivated(WindowEvent we)
                           throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `we` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### windowDeactivated

    public void windowDeactivated(WindowEvent we)

  Specified by:
    `windowDeactivated` in interface `WindowListener`

### doWindowDeactivated

    public void doWindowDeactivated(WindowEvent we)
                             throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `we` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD